
gap3.RequirePackage('"chevie"')

####### Change the group here

G=ReflectionGroup(4)

#######

h=G.coxeter_number() 

F=CyclotomicField(h)
def find_Galois(F,s):
    z=F.gen()
    for r in F.galois_group():
        if r(z)==z^s:
            return r
            break

s=find_Galois(F,-1)

####### Change the group here

C=gap3('CharTable(ComplexReflectionGroup('+'4'+')).irreducibles').sage()

#######

C=[[F(i) for i in j] for j in C]
FegPerm=[C.index([s(i) for i in j]) for j in C]
print([G.fake_degrees()[i] for i in FegPerm])

####### Change the group here

extRefl=gap3('ChevieCharInfo(ComplexReflectionGroup('+'4'+')).extRefl').sage()

#######

twist = []
for p in range(h):
    if gcd(p,h) == 1:
        s=find_Galois(F,p)
        twist.append([C.index([s(i) for i in C[j-1]])+1 for j in extRefl])
print(twist)